## org.apache.ivy.util.url
Class IvyAuthenticator

    java.lang.Object
      java.net.Authenticator
          org.apache.ivy.util.url.IvyAuthenticator

    public final class IvyAuthenticator

extends java.net.Authenticator

Nested Class Summary

Nested classes/interfaces inherited from class java.net.Authenticator
`java.net.Authenticator.RequestorType`

Method Summary
`protected java.net.PasswordAuthentication` `getPasswordAuthentication()`
`static void` `install()` Installs an `IvyAuthenticator` as default `Authenticator`.

Methods inherited from class java.net.Authenticator
`getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### install

    public static void install()

  Installs an `IvyAuthenticator` as default `Authenticator`. Call this method before opening HTTP(S) connections to enable Ivy authentication.

### getPasswordAuthentication

    protected java.net.PasswordAuthentication getPasswordAuthentication()

  Overrides:
    `getPasswordAuthentication` in class `java.net.Authenticator`